import { SmzExcelColumn } from '../../modules/smz-excels/models/smz-excel-table';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzExcelsTableColumnsBuilder } from './excels-table-columns';
export declare class SmzExcelsTableColumnTextBuilder extends SmzBuilderUtilities<SmzExcelsTableColumnTextBuilder> {
    protected _builder: SmzExcelsTableColumnsBuilder;
    protected _state: SmzExcelColumn;
    protected that: this;
    constructor(_builder: SmzExcelsTableColumnsBuilder, _state: SmzExcelColumn);
    setMaxWidthInPixels(maxWidth: number, resolution?: number): SmzExcelsTableColumnTextBuilder;
    setMaxWidthInPoints(maxWidth: number): SmzExcelsTableColumnTextBuilder;
    setAsMultilined(overrideNewlineSeparator?: string): SmzExcelsTableColumnTextBuilder;
    get column(): SmzExcelsTableColumnsBuilder;
}
export declare class SmzExcelsTableColumnDateBuilder extends SmzBuilderUtilities<SmzExcelsTableColumnDateBuilder> {
    protected _builder: SmzExcelsTableColumnsBuilder;
    protected _state: SmzExcelColumn;
    protected that: this;
    constructor(_builder: SmzExcelsTableColumnsBuilder, _state: SmzExcelColumn);
    setMaxWidthInPixels(maxWidth: number, resolution?: number): SmzExcelsTableColumnDateBuilder;
    setMaxWidthInPoints(maxWidth: number): SmzExcelsTableColumnDateBuilder;
    setDateFormat(dataFormat: string): SmzExcelsTableColumnDateBuilder;
    setAsMultilined(overrideNewlineSeparator?: string): SmzExcelsTableColumnDateBuilder;
    get column(): SmzExcelsTableColumnsBuilder;
}
export declare class SmzExcelsTableColumnAutoDetectBuilder extends SmzBuilderUtilities<SmzExcelsTableColumnAutoDetectBuilder> {
    protected _builder: SmzExcelsTableColumnsBuilder;
    protected _state: SmzExcelColumn;
    protected that: this;
    constructor(_builder: SmzExcelsTableColumnsBuilder, _state: SmzExcelColumn);
    setMaxWidthInPixels(maxWidth: number, resolution?: number): SmzExcelsTableColumnAutoDetectBuilder;
    setMaxWidthInPoints(maxWidth: number): SmzExcelsTableColumnAutoDetectBuilder;
    setAsMultilined(overrideNewlineSeparator?: string): SmzExcelsTableColumnAutoDetectBuilder;
    get column(): SmzExcelsTableColumnsBuilder;
}
export declare class SmzExcelsTableColumnNumberBuilder extends SmzBuilderUtilities<SmzExcelsTableColumnNumberBuilder> {
    protected _builder: SmzExcelsTableColumnsBuilder;
    protected _state: SmzExcelColumn;
    protected that: this;
    constructor(_builder: SmzExcelsTableColumnsBuilder, _state: SmzExcelColumn);
    useCurrencyFormat(currencySymbol?: string): SmzExcelsTableColumnNumberBuilder;
    usePercentageFormat(): SmzExcelsTableColumnNumberBuilder;
    setCustomFormat(format: string): SmzExcelsTableColumnNumberBuilder;
    setMaxWidthInPixels(maxWidth: number, resolution?: number): SmzExcelsTableColumnNumberBuilder;
    setMaxWidthInPoints(maxWidth: number): SmzExcelsTableColumnNumberBuilder;
    setFormat(format: string): SmzExcelsTableColumnNumberBuilder;
    useSubTotal(): SmzExcelsTableColumnNumberBuilder;
    setAsMultilined(overrideNewlineSeparator?: string): SmzExcelsTableColumnNumberBuilder;
    get column(): SmzExcelsTableColumnsBuilder;
}
export declare class SmzExcelsTableColumnHyperlinkBuilder extends SmzBuilderUtilities<SmzExcelsTableColumnHyperlinkBuilder> {
    protected _builder: SmzExcelsTableColumnsBuilder;
    protected _state: SmzExcelColumn;
    protected that: this;
    constructor(_builder: SmzExcelsTableColumnsBuilder, _state: SmzExcelColumn);
    setMaxWidthInPixels(maxWidth: number, resolution?: number): SmzExcelsTableColumnHyperlinkBuilder;
    setMaxWidthInPoints(maxWidth: number): SmzExcelsTableColumnHyperlinkBuilder;
    setAsMultilined(overrideNewlineSeparator?: string): SmzExcelsTableColumnHyperlinkBuilder;
    get column(): SmzExcelsTableColumnsBuilder;
}
